curl --request PATCH \
--url https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "<string>",
"Description": "<string>",
"SeoPath": "<string>",
"SeoMetaDescription": "<string>",
"SeoTitleTag": "<string>",
"SeoMetaKeywords": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}"
payload = {
"Name": "<string>",
"Description": "<string>",
"SeoPath": "<string>",
"SeoMetaDescription": "<string>",
"SeoTitleTag": "<string>",
"SeoMetaKeywords": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: '<string>',
Description: '<string>',
SeoPath: '<string>',
SeoMetaDescription: '<string>',
SeoTitleTag: '<string>',
SeoMetaKeywords: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Update Property Value Description
Update the description for a specific property value and language
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The iso code of the language that the descriptions belong to.
The id of the property.
The id of the property value.
Body
The property value description to update.
Model Class: UpdatePropertyValueDescription
The property value name in the given language.
The property value description in the given language.
The SEO path in the given language.
The SEO metadescription in the given language.
The title tag (SEO) in the given language.
The meta keywords in the given language.
Response
Was this page helpful?